Index: kernel/classes/datatypes/ezuser/ezuser.php
===================================================================
--- kernel/classes/datatypes/ezuser/ezuser.php	(revision 17832)
+++ kernel/classes/datatypes/ezuser/ezuser.php	(working copy)
@@ -53,6 +53,8 @@
 define( 'EZ_USER_PASSWORD_HASH_MYSQL', 4 );
 /// Passwords in plaintext, should not be used for real sites
 define( 'EZ_USER_PASSWORD_HASH_PLAINTEXT', 5 );
+// Crypted passwords
+define( 'EZ_USER_PASSWORD_HASH_CRYPT', 6 );
 
 /// Authenticate by matching the login field
 define( 'EZ_USER_AUTHENTICATE_LOGIN', 1 << 0 );
@@ -144,6 +146,10 @@
             {
                 return 'plaintext';
             } break;
+            case EZ_USER_PASSWORD_HASH_CRYPT:
+            {
+                return 'crypt';
+            } break;
         }
     }
 
@@ -175,6 +181,10 @@
             {
                 return EZ_USER_PASSWORD_HASH_PLAINTEXT;
             } break;
+            case 'crypt':
+            {
+                return EZ_USER_PASSWORD_HASH_CRYPT;
+            } break;
         }
     }
 
@@ -590,6 +600,8 @@
             return EZ_USER_PASSWORD_HASH_MD5_USER;
         else if ( $type == 'plaintext' )
             return EZ_USER_PASSWORD_HASH_PLAINTEXT;
+        else if ( $type == 'crypt' )
+            return EZ_USER_PASSWORD_HASH_CRYPT;
         else
             return EZ_USER_PASSWORD_HASH_MD5_PASSWORD;
     }
@@ -1391,7 +1403,7 @@
     */
     function authenticateHash( $user, $password, $site, $type, $hash )
     {
-        return eZUser::createHash( $user, $password, $site, $type ) == $hash;
+        return eZUser::createHash( $user, $password, $site, $type, $hash ) == $hash;
     }
 
     /*!
@@ -1487,7 +1499,7 @@
      \static
      Will create a hash of the given string. This is used to store the passwords in the database.
     */
-    function createHash( $user, $password, $site, $type )
+    function createHash( $user, $password, $site, $type, $hash = false )
     {
         $str = '';
 //         eZDebugSetting::writeDebug( 'kernel-user', "'$user' '$password' '$site'", "ezuser($type)" );
@@ -1507,6 +1519,17 @@
         {
             $str = $password;
         }
+        else if ( $type == EZ_USER_PASSWORD_HASH_CRYPT )
+        {
+            if ( $hash )
+            {
+                $str = crypt( $password, $hash );
+            }
+            else
+            {
+                $str = crypt( $password );
+            }
+        }
         else // EZ_USER_PASSWORD_HASH_MD5_PASSWORD
         {
             $str = md5( $password );
